%define name	kinterbasdb
%define version	3.2
%define release	%mkrel 7
%define cflags -std=c99 $RPM_OPT_FLAGS

Summary:	A Python DB-API 2.0 compliant interface to Firebird
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD style
Group:		Databases
Source0:	%{name}-%{version}.src.tar.bz2
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
URL:		http://kinterbasdb.sourceforge.net/
Requires:	python-egenix-mx-base
#Requires:	firebird
%py_requires -d
BuildRequires:	firebird-devel

%description
KInterbasDB is a Python extension package that implements Python Database API
2.0-compliant support for the open source relational database Firebird and some
versions of its proprietary cousin Borland Interbase.
In addition to the minimal feature set of the standard Python DB API,
KInterbasDB also exposes nearly the entire native client API of the database
engine.

%prep
%setup -q -n %{name}-%{version}

%build
env CFLAGS="%{cflags}" /usr/bin/python setup.py build

%install
rm -rf %{buildroot}
%_bindir/python setup.py install --root=%{buildroot}
cd %{buildroot}%{python_sitearch}
%_bindir/python -c "import kinterbasdb"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README PKG-INFO
%doc docs
%{py_platsitedir}/%{name}
%{py_platsitedir}/%{name}-%{version}-py*.egg-info
%{py_sitedir}/%{name}/docs




%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.2-7mdv2009.0
+ Revision: 247766
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.2-5mdv2008.1
+ Revision: 140863
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.2-5mdv2008.0
+ Revision: 89807
- rebuild


* Mon Dec 11 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 3.2-4mdv2007.0
+ Revision: 94783
- Also ship egg-info files.
- Rebuilt against python 2.5

* Thu Nov 16 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 3.2-3mdv2007.1
+ Revision: 84943
- Better hanlding for python macros/archs.
- Do not support old gcc's and avoid rpm recreation problems.
- Rebuilt against firebird 2.0 final.

* Tue Sep 05 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 3.2-2mdv2007.0
+ Revision: 59757
- Import kinterbasdb

* Sat Sep 02 2006 Marcelo Ricardo Leitner <mrl@mandriva.com>
- Updated (Build)Requires so it reflects 2007 state.
- Use macro python_sitearch.
- enter buildroot/python_sitearch dir before trying to test the module.

* Thu Aug 24 2006 Philippe Makowski <makowski@firebird-fr.eu.org> 
- initial release

